from raven.processors import Processor

from timeline_django.filters import filter_session_query, filter_user_query


class RemoveCookiesProcessor(Processor):

    def filter_http(self, data):
        data.pop('cookies', None)
        data.get('headers', {}).pop('Cookie', None)


class SanitizeTimelineDjangoProcessor(Processor):

    def filter_extra(self, data):
        filter_session_query(data, {})
        filter_user_query(data, {})
        return data
